### Virtual Method

# Camel DataWrapper set_mime_type

#### Declaration [src]

    void
    set_mime_type (
      CamelDataWrapper* data_wrapper,
      const gchar* mime_type
    )

#### Description [src]

This sets the data wrapper’s MIME type.

It might fail, but you won’t know. It will allow you to set Content-Type parameters on the data wrapper, which are meaningless. You should not be allowed to change the MIME type of a data wrapper that contains data, or at least, if you do, it should invalidate the data.

#### Parameters

`mime_type`

  Type: `const gchar*`

  A MIME type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.